=== modified file 'bzrlib/merge_directive.py'
--- bzrlib/merge_directive.py	2007-03-09 06:50:57 +0000
+++ bzrlib/merge_directive.py	2007-03-09 20:01:41 +0000
@@ -230,7 +230,7 @@
         tree_1 = repository.revision_tree(ancestor_id)
         tree_2 = repository.revision_tree(revision_id)
         s = StringIO()
-        diff.show_diff_trees(tree_1, tree_2, s)
+        diff.show_diff_trees(tree_1, tree_2, s, old_label='', new_label='')
         return s.getvalue()
 
     @staticmethod

=== modified file 'bzrlib/tests/test_merge_directive.py'
--- bzrlib/tests/test_merge_directive.py	2007-03-07 20:14:06 +0000
+++ bzrlib/tests/test_merge_directive.py	2007-03-09 20:01:41 +0000
@@ -147,6 +147,16 @@
         self.assertIs(None, md3.patch)
         self.assertEqual('Merge message', md3.message)
 
+    def test_generate_patch(self):
+        tree_a, tree_b, branch_c = self.make_trees()
+        md2 = merge_directive.MergeDirective.from_objects(
+            tree_a.branch.repository, 'rev2a', 500, 144, tree_b.branch.base,
+            patch_type='diff', public_branch=tree_a.branch.base)
+        self.assertNotContainsRe(md2.patch, 'Bazaar revision bundle')
+        self.assertContainsRe(md2.patch, '\\+content_c')
+        self.assertNotContainsRe(md2.patch, '\\+\\+\\+ b/')
+        self.assertContainsRe(md2.patch, '\\+\\+\\+ file')
+
     def test_signing(self):
         time = 501
         timezone = 72

